org.wildfly.swarm.webservices

## Class WebServicesFraction

- java.lang.Object
- - org.wildfly.swarm.config.Webservices<WebServicesFraction>
  - - org.wildfly.swarm.webservices.WebServicesFraction

- All Implemented Interfaces:
    Fraction<WebServicesFraction>

      public class WebServicesFraction
      extends Webservices<WebServicesFraction>
      implements Fraction<WebServicesFraction>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Webservices

      `Webservices.WebservicesResources, Webservices.WsdlUriScheme`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServicesFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebServicesFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static WebServicesFraction` | `createDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.Webservices

      `addPropertyChangeListener, clientConfig, clientConfig, clientConfig, clientConfig, clientConfigs, endpointConfig, endpointConfig, endpointConfig, endpointConfig, endpointConfigs, getKey, modifyWsdlAddress, modifyWsdlAddress, removePropertyChangeListener, statisticsEnabled, statisticsEnabled, subresources, wsdlHost, wsdlHost, wsdlPathRewriteRule, wsdlPathRewriteRule, wsdlPort, wsdlPort, wsdlSecurePort, wsdlSecurePort, wsdlUriScheme, wsdlUriScheme`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### WebServicesFraction

          public WebServicesFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static WebServicesFraction createDefaultFraction()

    - #### applyDefaults

          public WebServicesFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<WebServicesFraction>`
      Returns:
        this fraction.

Copyright © 2018 JBoss by Red Hat. All rights reserved.